#ifndef API_H
#define API_H

#include <qstringlist.h>

class API
{
public:
	API();
	void initCommand();
	void parseCommand (const QString&);
	QString command();
	QStringList parameters();
	QString errorDesc();
	bool error();
	void setError (const QString &);
	bool checkParamCount (const uint &);
	bool checkParamIsInt (const uint &);
	int parInt (bool &,const uint&);
	QString parString(bool &,const uint &);
private:
	QString com;
	QStringList paramList;
	QString errorString;
	bool noErr;
};

#endif
